Package org.apache.tiles.el

# Class ELAttributeEvaluator

java.lang.Object
org.apache.tiles.core.evaluator.AbstractAttributeEvaluator
org.apache.tiles.el.ELAttributeEvaluator

All Implemented Interfaces:
  `AttributeEvaluator`

public class ELAttributeEvaluator extends AbstractAttributeEvaluator
Evaluates string expression with typical EL syntax.
You can use normal EL syntax, knowing the root objects are `Request`, `ApplicationContext` and beans contained in request, session and application scope.

Since:
  2.2.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected jakarta.el.ExpressionFactory`
  `expressionFactory`
  The EL expression factory.
  `protected jakarta.el.ELResolver`
  `resolver`
  The EL resolver to use.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELAttributeEvaluator()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `evaluate(String expression, Request request)`
  Evaluates an expression.
  `void`
  `setExpressionFactory(jakarta.el.ExpressionFactory expressionFactory)`
  Sets the expression factory to use.
  `void`
  `setResolver(jakarta.el.ELResolver resolver)`
  Sets the EL resolver to use.

  ### Methods inherited from class org.apache.tiles.core.evaluator.AbstractAttributeEvaluator

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### expressionFactory

    protected jakarta.el.ExpressionFactory expressionFactory
    The EL expression factory.
    Since:
      2.2.1

  - ### resolver

    protected jakarta.el.ELResolver resolver
    The EL resolver to use.
    Since:
      2.2.1

- ## Constructor Details

  - ### ELAttributeEvaluator

    public ELAttributeEvaluator()
    Constructor.
    Since:
      2.2.1

- ## Method Details

  - ### setExpressionFactory

    public void setExpressionFactory(jakarta.el.ExpressionFactory expressionFactory)
    Sets the expression factory to use.
    Parameters:
      `expressionFactory` - The expression factory.
    Since:
      2.2.1

  - ### setResolver

    public void setResolver(jakarta.el.ELResolver resolver)
    Sets the EL resolver to use.
    Parameters:
      `resolver` - The EL resolver.
    Since:
      2.2.1

  - ### evaluate

    public Object evaluate(String expression, Request request)
    Evaluates an expression.
    Parameters:
      `expression` - The expression to evaluate.
      `request` - The request object.
    Returns:
      The evaluated object.